Subject: [Isis-wg] Stephen Farrell's No Objection on draft-ietf-isis-route-preference-02: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Wed, 18 Nov 2015 04:28:13 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-isis-route-preference-02: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-isis-route-preference/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

- I was surprised that this only updates one RFC. But if
that's felt to be sufficient, that's fine.

- Appendix A seems to imply that section 5 could claim that
this fixes a potential security issue, but it's fine that
the authors prefer brevity in section 5 (in this case:-)

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 18 Nov 2015 15:59:39 +0000

Stephen -

Thanx for the review.
Inline.

> -----Original Message-----
> From: Stephen Farrell [mailto:[email-masked]]
> Sent: Wednesday, November 18, 2015 4:28 AM
> To: The IESG
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: Stephen Farrell's No Objection on draft-ietf-isis-route-preference-
> 02: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> - I was surprised that this only updates one RFC. But if that's felt to be
> sufficient, that's fine.
> 
[Les:] The key text comes from the introduction:

"This   document is viewed as a clarification (NOT correction) of [RFC5302]
   and [RFC5305] and a correction of the route preference rules defined
   in [RFC5308] to be consistent with the rules for IPv4.  It also makes
   explicit that the same rules apply for the Multi-Topology(MT)
   equivalent TLVs 235 and 237."

I guess your concern is whether we should indicate that this updates RFC 5302 and RFC 5305 as well.
My feeling is "no" as those documents are still completely accurate and usable on their own. Still, clarifying text is aimed at helping people interpret these documents correctly - so it certainly is reasonable to ask people to read this draft in addition to RFC 5302 and RFC 5305. Would an "updates" indication help in that regard? Hard to argue against that. This then becomes a "legal" discussion in regards to what IETF intends "updates" to mean. I am happy to defer to consensus on this.

> - Appendix A seems to imply that section 5 could claim that this fixes a
> potential security issue, but it's fine that the authors prefer brevity in section
> 5 (in this case:-)
> 
[Les:] The document fixes an interoperability issue. I don’t see that this has anything to do with security.

   Les